> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iinkedsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

The `/packages/delete` endpoint allows you to delete an existing package from the iinked Sign platform.

Once a package is deleted, all signers associated with the package will no longer be able to access or sign the documents within that package.

<Tip>
  You can alternatively rescind a package using the [/packages/rescind](/v4/api/packages/rescind) endpoint, which notifies all signers that the package has been rescinded but retains the package and its documents in the platform.
</Tip>

<Danger>
  Please note that this will mark the package and all of its documents and videos for permanent deletion from the iinked Sign platform and you should only do so if you no longer need the package.
</Danger>

## Request

```http Request highlight={3} theme={null}
POST /packages/delete
{
 "packageId": "cf91071d-966d-41ea-b9bf-aa96a8e56c02",
 "notify": true,
 "overrideRetention": false
}
```

### Body

<ParamField body="packageId" type="string" required>
  Unique identifier for the package.
</ParamField>

<ParamField body="notify" type="boolean">
  When `true`, notifies all signers of the package deletion via email. When `false`, no notifications are sent.
</ParamField>

<ParamField body="overrideRetention" type="boolean">
  When `true`, overrides any retention policies that would normally prevent the package from being deleted.

  <Warning>
    Use with caution.
  </Warning>
</ParamField>

## Response

<ResponseField name="packageId" type="string">
  Unique identifier of the package deleted.
</ResponseField>

<ResponseField name="videos" type="object[]">
  List of videos that were deleted from the package.

  <Expandable title="properties">
    <ResponseField name="meetingVideoId" type="string">
      Unique identifier for the video.
    </ResponseField>

    <ResponseField name="meetingVideoSharedId" type="string">
      Shared identifier for the video.
    </ResponseField>

    <ResponseField name="meetingId" type="string">
      Identifier of the meeting the video belongs to.
    </ResponseField>

    <ResponseField name="meetingSessionId" type="string">
      Identifier of the meeting session.
    </ResponseField>

    <ResponseField name="externalVideoId" type="string">
      External system identifier for the video (if available).
    </ResponseField>

    <ResponseField name="externalStorageId" type="string">
      External storage identifier for the video (if available).
    </ResponseField>

    <ResponseField name="timeCreated" type="string">
      Creation time (ISO 8601 date-time).
    </ResponseField>

    <ResponseField name="timeRetention" type="string" post={["nullable"]}>
      Retention expiry time (ISO 8601 date-time).
    </ResponseField>

    <ResponseField name="timeDeleted" type="string" post={["nullable"]}>
      Deletion time (ISO 8601 date-time).
    </ResponseField>

    <ResponseField name="duration" type="string">
      Video duration (ISO 8601 duration).
    </ResponseField>

    <ResponseField name="size" type="number">
      Size of the video in bytes.
    </ResponseField>

    <ResponseField name="source" type="string">
      Source of the video.
    </ResponseField>

    <ResponseField name="type" type="string">
      Type of video.

      <Expandable title="values">
        | Value | Description               |
        | :---- | :------------------------ |
        | video | Standard video recording. |
      </Expandable>
    </ResponseField>

    <ResponseField name="state" type="string">
      Current state of the video.

      <Expandable title="values">
        | Value    | Description                                                                     |
        | :------- | :------------------------------------------------------------------------------ |
        | started  | Video recording session is currently active.                                    |
        | stopped  | Video recording session ended successfully.                                     |
        | queued   | Video recording is waiting to download.                                         |
        | failed   | Video recording failed to download because of an error.                         |
        | archived | Video recording has been successfully downloaded and is available for playback. |
        | deleted  | Video recording has been permanently removed.                                   |
      </Expandable>
    </ResponseField>

    <ResponseField name="url" type="string">
      Temporary URL to download or playback the video.

      <Note>
        Expires based on `timeUrlExpires`.
      </Note>
    </ResponseField>

    <ResponseField name="timeUrlExpires" type="string">
      Expiration time for the temporary URL (ISO 8601 date-time).
    </ResponseField>
  </Expandable>
</ResponseField>
